<%= render 'layouts/header' %>

<div class="ui container segment">
  <%= image_tag @rushee.photo || @rushee.default_photo, class: "ui centered circular small image" %>

  <h1 class="ui center aligned header">
    <%= @rushee.name %>
  </h1>

  <div class="ui horizontal divider">
    Info
  </div>

  <div class="ui container segment">
    <div class="ui internally celled grid">
      <div class="row">
        <div class="eight wide column">
          <strong>Phone Number:</strong> <%= @rushee.phone_number || "Not Set" %>
        </div>
        <div class="eight wide column">
          <strong>Email:</strong> <%= @rushee.email || "Not Set" %>
        </div>
      </div>
      <div class="row">
        <div class="eight wide column">
          <strong>Facebook:</strong> <%= @rushee.facebook || "Not Set" %>
        </div>
        <div class="eight wide column">
          <strong>Instagram:</strong> <%= @rushee.instagram || "Not Set" %>
        </div>
      </div>
      <div class="row">
        <div class="eight wide column">
          <strong>Visits:</strong> <%= @rushee.visits || "Not Set" %>
        </div>
        <div class="eight wide column">
          <strong>Contact:</strong> <%= @rushee.contact_name || "Not Set" %>
        </div>
      </div>

      <div class="row">
        <div class="sixteen wide column">
          <% if @rushee.rushee_status_id == 1 %>
            <div class="ui fluid blue label" align="center">
              <%= @rushee.status_label %>
            </div>
          <% elsif @rushee.rushee_status_id == 2 %>
            <div class="ui fluid grey label" align="center">
              <%= @rushee.status_label %>
            </div>
          <% elsif @rushee.rushee_status_id == 3 %>
            <div class="ui fluid green label" align="center">
              <%= @rushee.status_label %>
            </div>
          <% elsif @rushee.rushee_status_id == 4 %>
            <div class="ui fluid black label" align="center">
              <%= @rushee.status_label %>
            </div>
          <% elsif @rushee.rushee_status_id == 5 %>
            <div class="ui fluid yellow label" align="center">
              <%= @rushee.status_label %>
            </div>
          <% else %>
            <div class="ui fluid purple label" align="center">
              <%= @rushee.status_label %>
            </div>
          <% end %>
          <% if @rushee.here %>
            </br>
            </br>
            <div class="ui fluid white label" align="center">
              Here Now
            </div>
          <% end %>
        </div>
      </div>
    </div>
  </div>

  <div class="ui horizontal divider">
    Bio
  </div>
  <div class="ui container segment">
    <%= markdown( @rushee.bio || "No Bio Set" ) %>
  </div>

  <div class="ui horizontal divider">
    Contact Volunteers
  </div>
  <div class="ui container segment">
    <div class="ui middle aligned selection list">
    <% if @contacts.count > 0 %>
      <% @contacts.each do |contact| %>
        <div class="item">
          <%= image_tag contact.volunteer_photo, class: "ui avatar image" %>
          <div class="content">
            <div class="header">
              <%= contact.volunteer_name %>
            </div>
          </div>
        </div>
      <% end %>
    <% else %>
      There are currently no volunteers
    <% end %>
    </div>
  </div>

  <div class="ui horizontal divider">
    Comments
  </div>
  <div class="ui feed">
  <% if @rushee_comments.count > 0 %>

    <% @rushee_comments.each do |rushee_comment| %>
      <div class="event">
        <div class="label">
          <%= image_tag rushee_comment.author_image %>
        </div>
        <div class="content">
          <div class="summary">
            <%= rushee_comment.author_name%> commented
            <div class="date">
              <%= time_ago_in_words(rushee_comment.created_at) %> ago on <%= rushee_comment.post_date %>
            </div>
          </div>
          <div class="ui segment">
            <%= markdown(rushee_comment.body) %>
              <% if current_user == rushee_comment.author %>
              <div class="ui divider"></div>

              <%= link_to edit_rushee_comment_path(rushee_comment), :class=>"ui green button" do %>
                <i class="edit icon"></i>
              <% end %>

              <%= link_to rushee_comment_path(rushee_comment), method: :delete, :class=>"ui red button" do %>
                <i class="remove icon"></i>
              <% end %>
            <% end %>

          </div>
        </div>
      </div>
    <% end %>

  <% else %>

    <div class="ui container segment">
      There are currently no comments
    </div>

  <% end %>
  </div>

  <div class="ui container segment">
    <%= render 'rushee_comments/form' %>
  </div>

  <div class="ui horizontal divider">
    Actions
  </div>
  <div class="ui equal width grid">
  <div class="row">
    <div class="column">
      <%= link_to rushee_vote_yes_path(@rushee), method: :put, :class => "ui fluid labeled button", :tabindex=>"0" do %>
        <% if @rush_votes.where(rushee_id: @rushee.id)[0]&.yes %>
          <div class="ui toggle fluid green small button">
        <% else %>
          <div class="ui toggle fluid white small button">
        <% end %>
          Yes
        </div>
      <% end %>
    </div>
    <div class="column">
      <%= link_to rushee_vote_no_path(@rushee), method: :put, :class => "ui fluid labeled button", :tabindex=>"0" do %>
        <% if @rush_votes.where(rushee_id: @rushee.id)[0]&.no %>
          <div class="ui toggle fluid red small button">
        <% else %>
          <div class="ui toggle fluid white small button">
        <% end %>
          No
        </div>
      <% end %>
    </div>
    <div class="column">
        <%= link_to rushee_contact_volunteer_path(@rushee), method: :put, :class => "ui fluid labeled button", :tabindex=>"0" do %>
          <% if @rush_votes.where(rushee_id: @rushee.id)[0]&.willing_contact %>
            <div class="ui toggle fluid yellow small button">
          <% else %>
            <div class="ui toggle fluid white small button">
          <% end %>
            Be Contact?
          </div>
        <% end %>
    </div>
  </div>
    <% if policy(@rushee).update? %>
      <div class="row">
        <div class="column">
          <%= link_to "New Rushee", new_rushee_path(), class: "ui green fluid button" %>
        </div>
        <div class="column">
          <%= link_to "Edit Rushee", edit_rushee_path(@rushee), class: "ui primary fluid button" %>
        </div>
        <div class="column">
          <%= link_to "Back to Overview", admin_rushees_path, class: "ui teal fluid button" %>
        </div>
      </div>
    <% else %>
      <div class="row">
        <div class="column">
          <%= link_to "Back to Overview", admin_rushees_path, class: "ui teal fluid button" %>
        </div>
      </div>
    <% end %>
  </div>
</div>

<%= render 'layouts/footer' %>
